
Foreman - Bug #3745

Issue with editing host with mapped disk.

11/25/2013 01:11 PM - Andrew Ward

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: VM management   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

We're unable to edit any host that we've added a Mapped Raw LUN to:

This is on 1.3

undefined method `thinProvisioned' for #<RbVmomi::VIM::VirtualDiskRawDiskMappingVer1BackingInfo:0x007f2b4413c650>

Full Trace:

NoMethodError

undefined method `thinProvisioned' for #<RbVmomi::VIM::VirtualDiskRawDiskMappingVer1BackingInfo:0x007f2b4413c650>

app/views/compute_resources_vms/form/_vmware.html.erb:26:in `block in app_views_compute_resources_vms_form

_vmware_html_erb___677368726921375245_67382800'

app/views/compute_resources_vms/form/_vmware.html.erb:26:in

`_app_views_compute_resources_vms_form__vmware_html_erb___677368726921375245_67382800'

app/views/hosts/_compute.html.erb:4:in `block in app_views_hosts_compute_html_erb__2231095742630856816_69911904789520'

app/views/hosts/_compute.html.erb:1:in `_app_views_hosts__compute_html_erb__2231095742630856816_69911904789520'

app/views/hosts/_unattended.html.erb:2:in `_app_views_hosts__unattended_html_erb___3401977136504944926_69911904404920'

app/views/hosts/_form.html.erb:79:in `block (2 levels) in app_views_hosts

_form_html_erb__3588749255696886298_69911908616380'

app/helpers/layout_helper.rb:205:in `form_for'

app/views/hosts/_form.html.erb:7:in `block in app_views_hosts_form_html_erb__3588749255696886298_69911908616380'

app/models/taxonomy.rb:55:in `block (2 levels) in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:143:in `as_location'

app/models/taxonomy.rb:54:in `block in as_taxonomy'

app/models/concerns/foreman/thread_session.rb:108:in `as_org'

app/models/taxonomy.rb:53:in `as_taxonomy'

app/views/hosts/_form.html.erb:5:in `_app_views_hosts__form_html_erb__3588749255696886298_69911908616380'

app/views/hosts/edit.html.erb:7:in `_app_views_hosts_edit_html_erb__108988450481454739_69911908275200'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

Related issues:

Is duplicate of Foreman - Bug #3688: Can't edit VMware host after adding raw ... Resolved 11/19/2013

History

#1 - 11/25/2013 01:13 PM - Dominic Cleal

- Is duplicate of Bug #3688: Can't edit VMware host after adding raw disk added

#2 - 11/25/2013 01:14 PM - Dominic Cleal

- Status changed from New to Duplicate
